#include <Wire.h>

#define SLAVE_ADDRESS 9 // Dirección I2C de este dispositivo

void setup() {
  Wire.begin(SLAVE_ADDRESS); // Inicia la comunicación I2C como esclavo
  Wire.onReceive(receiveEvent); // Registra la función para manejar eventos de recepción
  pinMode(9, OUTPUT); // Pin para el motor
}

void loop() {
  // La acción del motor se controla en la función de evento de recepción
}

// Función para manejar eventos de recepción de datos
void receiveEvent(int bytes) {
  if (Wire.available()) {
    char command = Wire.read();
    Serial.print("Recibido comando '");
    Serial.print(command);
    Serial.println("' desde el maestro.");

    if (command == 'b') {
      digitalWrite(9, HIGH); // Activa el motor
      delay(1000); // Duración de activación del motor (1 segundo)
      digitalWrite(9, LOW); // Apaga el motor
      Wire.write('b'); // Envía una respuesta al maestro
      delay(10); // Pequeño retardo después de enviar la respuesta
    }
  }
}
